/*
 * IRC - Internet Relay Chat, include/raptor.h
 *
 * See file doc/authors for names of the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef RAPTOR_H
#define RAPTOR_H

/*=============================================================================
 * General defines
 */

/*=============================================================================
 * Macro's
 */

/* ============================================================================
 * Structures
 */


/*=============================================================================
 * Proto types
 */

#ifdef USE_SC_CS
extern int m_cs(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_HS
extern int m_hs(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_MS
extern int m_ms(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_NS
extern int m_ns(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_OS
extern int m_os(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_SS
extern int m_ss(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_X2
extern int m_x2(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_LOCAL_LINES
extern int m_addline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_remline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_viewline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif
#ifdef USE_SC_REMOTE_LINES
extern int m_addhline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_addqline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_adduline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_disableo(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_enableo(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_remhline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_remqline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_remuline(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_grehash(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_sjoin(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern int m_spart(aClient *cptr, aClient *sptr, int parc, char *parv[]);
#endif

#ifdef USE_RULES
extern int m_rules(aClient *cptr, aClient *sptr, int parc, char *parv[]);
extern aMotdItem *rules;
#endif

#endif /* RAPTOR_H */
