/*
 * RaptorIRCD - Internet Relay Chat Daemon, networks/goldchat.h
 * Copyright (C) 2001
 *
 * See file doc/authors for additional names of
 * the programmers.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file contains the RaptorNet specific settings.
*/

#ifndef NWSETTINGS

#define IRCNETWORK "goldchat"
#define DOMAINNAME "goldchat.nl"
#undef  RELIABLE_CLOCK

#define CONNECT_MSGS
#define ALLOW_SNO_CONNEXIT
#define SNO_CONNEXIT_IP
#define HHSTRING "gc"
#define PSTATS
#define PROXY_PROTECTION
#define SOCKS5
#define NEW_CONNECTSYS
#undef  CRYPT_LINK_PASSWORD
#define NICKNAMEHISTORYLENGTH (800)
#undef  HUB_NEEDS_H_LINE
#undef  USEONE
#define USE_SC_CS
#undef  USE_SC_HS
#undef  USE_SC_MS
#define USE_SC_NS
#define USE_SC_OS
#undef  USE_SC_SS
#undef  USE_SC_X2
#define USE_LOCAL_LINES
#define USE_REMOTE_LINES
#undef  USE_RULES
#define TOPICSYNC

#define ChanServ "LeJEun"
#define ChanServ_SERVER "cservice.goldchat.nl"
#define HelpServ "HS"
#define HelpServ_SERVER "goldchat.nl"
#define MemoServ "MS"
#define MemoServ_SERVER "goldchat.nl"
#define NickServ "NS"
#define NickServ_SERVER "goldchat.nl"
#define OperServ "Uworld"
#define OperServ_SERVER "Uworld.goldchat.nl"
#define StatServ "SC"
#define StatServ_SERVER "goldchat.nl"
#define X2 "X2"
#define X2_SERVER "x2.goldchat.nl"

#define P9HOST1 "p9services.goldchat.nl"
#define P9NUMM1 61
#define P9HOST2 "x2.goldchat.nl"
#define P9NUMM2 62
#define P9HOST3 0
#define P9NUMM3 0
#define P9HOST4 0
#define P9NUMM4 0
#define P9HOST5 0
#define P9NUMM5 0

#define NICKLEN (15)
#define USERLEN (10)
#define HOSTLEN (63)
#define REALLEN (50)
#define PASSWDLEN (20)
#define KEYLEN (23)
#define TOPICLEN (160)
#define CHANNELLEN (200)
#define MAXBANS (30)
#define MAXBANLENGTH (1024)

#define SHOW_INVISIBLE_USERS
#define SHOW_ALL_INVISIBLE_USERS
#define OPERS_SEE_IN_SECRET_CHANNELS
#define LOCOP_SEE_IN_SECRET_CHANNELS
#undef  UNLIMIT_OPER_QUERY

#define CONFIG_LIST
#define DEFAULT_LIST ">0"
#define DEFAULT_LIST_PARAM ">0"
#define IDLE_FROM_MSG

#undef  MSGLOG_ENABLED
#define MSGLOG_SIZE (128)
#define MAXCHANNELSPERUSER (15)
#define MAXSILES (15)
#define AVBANLEN (40)
#define MAXSILELENGTH (40 * MAXSILES)

#undef WALLOPS_GOD_ENTER
#undef WALLOPS_GOD_OP
#undef WALLOPS_FAILED_OPER

#define MSG_WI_IRCOP    " IRC Operator"
#define MSG_WI_LOCAL    "Local "
#define MSG_WI_USERCOM  "is a User-Com member"
#define MSG_WI_EGGCOM   "is a Tech Admin"
#define MSG_WI_BSERVICE "is a BService member"
#define MSG_WI_CSERVICE "is a CService member"
#define MSG_WI_CODER    "is a Coder-Com member"
#define MSG_WI_HELPDESK "is a HelpDesk member"
#define MSG_WI_WEBCOM   "is a Web-Com member"
#define MSG_WI_RCENTRAL "is a Raptor-Central member"
#define MSG_WI_BACKUPOP "is a Backup Operator"
#define MSG_WI_COADMIN  "is a Server Co Administrator"
#define MSG_WI_ADMIN    "is a Server Administrator"
#define MSG_WI_SBOT     "is a Services Bot"
#define MSG_WI_REGGED   "is a Registered Nick"
#define MSG_WI_PLUSG    "has Security-Override (+g) Enabled!"
#define MSG_WI_BOT      "is a bot (eggdrop, BitchX, ...)"
#define MSG_WI_NOCTCP   "has disabled CTCP and DCC"
#define MSG_WI_NOPRIV   "is not available for PRIVMSGs"
#define MSG_WI_WHOISY   "is doing a /WHOIS on you."

#endif /* NWSETTINGS */
